VERIFY-PROXY-TOOL(1)

NAME
verify-proxy-tool - tool to verify a certificate chain including proxies

SYNOPSIS
verify-proxy-tool [-h|--help] [-d|--debug] [-q|--quiet] [-t|--atnotbefore] [proxy]

DESCRIPTION
This tool does a full chain check of a proxy, following the same logic as the lcmaps_verify_proxy.mod LCMAPS plugin. See for details the corresponding man page.

When no proxy filename is specified as last argument, the default proxy filename for the user is used, i.e. /tmp/x509up_u<UID>.

OPTIONS

-d, --debug
    Show (debug) output, repeat this option to get more debugging output.

-q, --quiet
    Show less output, only printing errors, not warnings.

-h, --help
    Show short helptext

-t, --atnotbefore
    Verify the proxy chain at (5 minutes after) the 'notBefore' time of the leaf proxy instead of at the current time.

RETURN VALUES

0   verification and program succeeded

1   non-verification error, e.g. setup of parameters failed.

2   verification error, i.e. proxy is invalid.

BUGS
Please report any errors to the Nikhef Grid Middleware Security Team <grid-mw-security-support@nikhef.nl>.

SEE ALSO
lcmaps_verify_proxy.mod(8).

AUTHORS
LCMAPS and the LCMAPS plug-ins were written by the Grid Middleware Security Team <grid-mw-security@nikhef.nl>.